Package skyview.survey

# Class FitsImageFactory

java.lang.Object
skyview.survey.FitsImageFactory

All Implemented Interfaces:
  `ImageFactory`

public class FitsImageFactory extends Object implements ImageFactory
A little class that creates FITS images using a factory method.

## Constructor Summary

Constructors
Constructor
Description
`FitsImageFactory()`

## Method Summary

Modifier and Type
Method
Description
`FitsImage`
`factory(String file)`
Create an image given the appropriate spell

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FitsImageFactory

public FitsImageFactory()

## Method Details

### factory

public FitsImage factory(String file)
Description copied from interface: `ImageFactory`
Create an image given the appropriate spell

Specified by:
  `factory` in interface `ImageFactory`